Bug Hunting Session
Bug 101551 - Notebookbar: LibreOffice icon tab menu menubar entry should be a checkbox
Summary: Notebookbar: LibreOffice icon tab menu menubar entry should be a checkbox
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2016-08-16 08:04 UTC by Volga
Modified: 2017-05-02 14:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2016-08-16 08:04:26 UTC
Since LibreOffice started implementing NotebookBar, LibreOffice should let user add a menu item via Cumstomize dialog to let menu bar hidden.
Comment 2 Volga 2016-09-23 14:20:05 UTC
OK I can see the effect, but I think this menu item should have a check box at the left.
Comment 3 V Stuart Foote 2016-09-23 14:48:59 UTC
Yes some indication of the toggled state of the Menu bar would be helpful--more than just showing or not showing the Menu bar--if intentionally showing it or not showing it, it should be indicated on the drop list.
Comment 4 Yousuf Philips (jay) (retired) 2016-10-19 20:30:24 UTC
Hiding the menu bar is handled in bug 90195, so lets deal with the Notebookbar's menu entry for menubar not being a checkbox.
Comment 5 Maxim Monastirsky 2017-01-16 13:57:37 UTC
There should be a checkbox after https://cgit.freedesktop.org/libreoffice/core/commit/?id=535f2b2b0a21407c4412d14149d271a199c3e6b8
Comment 6 Volga 2017-01-17 02:21:51 UTC
(In reply to Maxim Monastirsky from comment #5)
> There should be a checkbox after
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=535f2b2b0a21407c4412d14149d271a199c3e6b8

Is it possible to backport to 5.3?
Comment 7 Yousuf Philips (jay) (retired) 2017-01-19 09:58:51 UTC
(In reply to Maxim Monastirsky from comment #5)
> There should be a checkbox after
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=535f2b2b0a21407c4412d14149d271a199c3e6b8

Thanks, but is there a reason to have separate xml files for different modules?
Comment 8 Maxim Monastirsky 2017-01-19 15:45:40 UTC
(In reply to Volga from comment #6)
> Is it possible to backport to 5.3?
No, such commit shouldn't be backported to a stable branch. But I might consider doing a different fix for 5.3.

(In reply to Yousuf Philips (jay) from comment #7)
> Thanks, but is there a reason to have separate xml files for different
> modules?
Well, that's how the ui framework works. It's like we have separate shape toolbars xml for different modules, although they are all the same. Changing this is probably not trivial (unless we do it at build time, e.g. copy the same xml file to several places in instdir, or something like that). The benefit of having separate files (at least in the install dir), is that users will be able to customize them differently for each app. Of course we can make use of that possibility too, to e.g. add some app-specific commands there.